export interface ParsedCliArgs {
    argv: {
        remain: string[];
        cooked: string[];
        original: string[];
    };
    params: string[];
    options: Record<string, any>;
    cmd: string | null;
    unknownOptions: string[];
    workspaceDir?: string;
}
export default function parseCliArgs(opts: {
    getCommandLongName: (commandName: string) => string | null;
    getTypesByCommandName: (commandName: string) => object;
    renamedOptions?: Record<string, string>;
    shorthandsByCommandName: Record<string, Record<string, string>>;
    universalOptionsTypes: Record<string, unknown>;
    universalShorthands: Record<string, string>;
}, inputArgv: string[]): Promise<ParsedCliArgs>;
